--- vlc/modules/gui/macosx/intf.m	Sat Mar 13 16:58:06 2004
+++ vlc-osx/modules/gui/macosx/intf.m	Sat Mar 13 17:21:46 2004
@@ -411,6 +411,21 @@
     i_key = config_GetInt( p_intf, "key-jump-10sec" );
     [o_mi_bwd setKeyEquivalent: [NSString stringWithFormat:@"%C", VLCKeyToCocoa( i_key )]];
     [o_mi_bwd setKeyEquivalentModifierMask: VLCModifiersToCocoa(i_key)];
+    i_key = config_GetInt( p_intf, "key-jump+1min" );
+    [o_mi_fwd1m setKeyEquivalent: [NSString stringWithFormat:@"%C", VLCKeyToCocoa( i_key )]];
+    [o_mi_fwd1m setKeyEquivalentModifierMask: VLCModifiersToCocoa(i_key)];
+    i_key = config_GetInt( p_intf, "key-jump-1min" );
+    [o_mi_bwd1m setKeyEquivalent: [NSString stringWithFormat:@"%C", VLCKeyToCocoa( i_key )]];
+    [o_mi_bwd1m setKeyEquivalentModifierMask: VLCModifiersToCocoa(i_key)];
+    i_key = config_GetInt( p_intf, "key-jump+5min" );
+    [o_mi_fwd5m setKeyEquivalent: [NSString stringWithFormat:@"%C", VLCKeyToCocoa( i_key )]];
+    [o_mi_fwd5m setKeyEquivalentModifierMask: VLCModifiersToCocoa(i_key)];
+    i_key = config_GetInt( p_intf, "key-jump-5min" );
+    [o_mi_bwd5m setKeyEquivalent: [NSString stringWithFormat:@"%C", VLCKeyToCocoa( i_key )]];
+    [o_mi_bwd5m setKeyEquivalentModifierMask: VLCModifiersToCocoa(i_key)];
+    i_key = config_GetInt( p_intf, "key-position" );
+    [o_mi_position setKeyEquivalent: [NSString stringWithFormat:@"%C", VLCKeyToCocoa( i_key )]];
+    [o_mi_position setKeyEquivalentModifierMask: VLCModifiersToCocoa(i_key)];
     i_key = config_GetInt( p_intf, "key-vol-up" );
     [o_mi_vol_up setKeyEquivalent: [NSString stringWithFormat:@"%C", VLCKeyToCocoa( i_key )]];
     [o_mi_vol_up setKeyEquivalentModifierMask: VLCModifiersToCocoa(i_key)];
@@ -488,8 +503,14 @@
     [o_mi_random setTitle: _NS("Random")];
     [o_mi_repeat setTitle: _NS("Repeat One")];
     [o_mi_loop setTitle: _NS("Repeat All")];
-    [o_mi_fwd setTitle: _NS("Step Forward")];
-    [o_mi_bwd setTitle: _NS("Step Backward")];
+    [o_mi_fwd setTitle: _NS("Forward 10 Seconds")];
+    [o_mi_bwd setTitle: _NS("Backward 10 Seconds")];
+    [o_mi_fwd1m setTitle: _NS("Forward 1 Minute")];
+    [o_mi_bwd1m setTitle: _NS("Backward 1 Minute")];
+    [o_mi_fwd5m setTitle: _NS("Forward 5 Minutes")];
+    [o_mi_bwd5m setTitle: _NS("Backward 5 Minutes")];
+    [o_mi_position setTitle: _NS("Position")];
+
     [o_mi_program setTitle: _NS("Program")];
     [o_mu_program setTitle: _NS("Program")];
     [o_mi_title setTitle: _NS("Title")];
